# OgreShaderProgram.h File Reference

`#include "OgreShaderPrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreSingleton.h"`
`#include "OgreShaderParameter.h"`
`#include "OgreShaderFunction.h"`
`#include "OgreShaderFunctionAtom.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Classes

class | Ogre::RTShader::Program
| A class that represents a shader based program. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52